public static interface HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder
extends org.apache.camel.builder.EndpointProducerBuilder
| Modifier and Type | Method and Description |
|---|---|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
basic() |
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
clientBuilder(Object clientBuilder)
Provide access to the http client request parameters used on new
RequestConfig instances used by producers or consumers of this
endpoint.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
clientBuilder(String clientBuilder)
Provide access to the http client request parameters used on new
RequestConfig instances used by producers or consumers of this
endpoint.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
clientConnectionManager(Object clientConnectionManager)
To use a custom HttpClientConnectionManager to manage connections.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
clientConnectionManager(String clientConnectionManager)
To use a custom HttpClientConnectionManager to manage connections.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
connectionsPerRoute(int connectionsPerRoute)
The maximum number of connections per route.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
connectionsPerRoute(String connectionsPerRoute)
The maximum number of connections per route.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
cookieHandler(Object cookieHandler)
Configure a cookie handler to maintain a HTTP session.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
cookieHandler(String cookieHandler)
Configure a cookie handler to maintain a HTTP session.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
cookieStore(Object cookieStore)
To use a custom CookieStore.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
cookieStore(String cookieStore)
To use a custom CookieStore.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
deleteWithBody(boolean deleteWithBody)
Whether the HTTP DELETE should include the message body or not.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
deleteWithBody(String deleteWithBody)
Whether the HTTP DELETE should include the message body or not.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
getWithBody(boolean getWithBody)
Whether the HTTP GET should include the message body or not.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
getWithBody(String getWithBody)
Whether the HTTP GET should include the message body or not.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpBinding(Object httpBinding)
To use a custom HttpBinding to control the mapping between Camel
message and HttpClient.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpBinding(String httpBinding)
To use a custom HttpBinding to control the mapping between Camel
message and HttpClient.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpClient(Object httpClient)
Sets a custom HttpClient to be used by the producer.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpClient(String httpClient)
Sets a custom HttpClient to be used by the producer.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpClientConfigurer(Object httpClientConfigurer)
Register a custom configuration strategy for new HttpClient instances
created by producers or consumers such as to configure authentication
mechanisms etc.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpClientConfigurer(String httpClientConfigurer)
Register a custom configuration strategy for new HttpClient instances
created by producers or consumers such as to configure authentication
mechanisms etc.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpClientOptions(Map values)
To configure the HttpClient using the key/values from the Map.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpClientOptions(String key,
Object value)
To configure the HttpClient using the key/values from the Map.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpContext(Object httpContext)
To use a custom HttpContext instance.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpContext(String httpContext)
To use a custom HttpContext instance.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
mapHttpMessageBody(boolean mapHttpMessageBody)
If this option is true then IN exchange Body of the exchange will be
mapped to HTTP body.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
mapHttpMessageBody(String mapHttpMessageBody)
If this option is true then IN exchange Body of the exchange will be
mapped to HTTP body.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
mapHttpMessageFormUrlEncodedBody(boolean mapHttpMessageFormUrlEncodedBody)
If this option is true then IN exchange Form Encoded body of the
exchange will be mapped to HTTP.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
mapHttpMessageFormUrlEncodedBody(String mapHttpMessageFormUrlEncodedBody)
If this option is true then IN exchange Form Encoded body of the
exchange will be mapped to HTTP.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
mapHttpMessageHeaders(boolean mapHttpMessageHeaders)
If this option is true then IN exchange Headers of the exchange will
be mapped to HTTP headers.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
mapHttpMessageHeaders(String mapHttpMessageHeaders)
If this option is true then IN exchange Headers of the exchange will
be mapped to HTTP headers.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
maxTotalConnections(int maxTotalConnections)
The maximum number of connections.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
maxTotalConnections(String maxTotalConnections)
The maximum number of connections.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
okStatusCodeRange(String okStatusCodeRange)
The status codes which are considered a success response.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
synchronous(boolean synchronous)
Sets whether synchronous processing should be strictly used, or Camel
is allowed to use asynchronous processing (if supported).
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
synchronous(String synchronous)
Sets whether synchronous processing should be strictly used, or Camel
is allowed to use asynchronous processing (if supported).
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
useSystemProperties(boolean useSystemProperties)
To use System Properties as fallback for configuration.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
useSystemProperties(String useSystemProperties)
To use System Properties as fallback for configuration.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder basic()
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpBinding(Object httpBinding)
httpBinding - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpBinding(String httpBinding)
httpBinding - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder cookieHandler(Object cookieHandler)
cookieHandler - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder cookieHandler(String cookieHandler)
cookieHandler - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder cookieStore(Object cookieStore)
cookieStore - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder cookieStore(String cookieStore)
cookieStore - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder deleteWithBody(boolean deleteWithBody)
deleteWithBody - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder deleteWithBody(String deleteWithBody)
deleteWithBody - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder getWithBody(boolean getWithBody)
getWithBody - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder getWithBody(String getWithBody)
getWithBody - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder okStatusCodeRange(String okStatusCodeRange)
okStatusCodeRange - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder clientBuilder(Object clientBuilder)
clientBuilder - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder clientBuilder(String clientBuilder)
clientBuilder - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder clientConnectionManager(Object clientConnectionManager)
clientConnectionManager - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder clientConnectionManager(String clientConnectionManager)
clientConnectionManager - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder connectionsPerRoute(int connectionsPerRoute)
connectionsPerRoute - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder connectionsPerRoute(String connectionsPerRoute)
connectionsPerRoute - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpClient(Object httpClient)
httpClient - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpClient(String httpClient)
httpClient - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpClientConfigurer(Object httpClientConfigurer)
httpClientConfigurer - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpClientConfigurer(String httpClientConfigurer)
httpClientConfigurer - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpClientOptions(String key, Object value)
key - the option keyvalue - the option valuedefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpClientOptions(Map values)
values - the valuesdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpContext(Object httpContext)
httpContext - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpContext(String httpContext)
httpContext - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder mapHttpMessageBody(boolean mapHttpMessageBody)
mapHttpMessageBody - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder mapHttpMessageBody(String mapHttpMessageBody)
mapHttpMessageBody - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder mapHttpMessageFormUrlEncodedBody(boolean mapHttpMessageFormUrlEncodedBody)
mapHttpMessageFormUrlEncodedBody - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder mapHttpMessageFormUrlEncodedBody(String mapHttpMessageFormUrlEncodedBody)
mapHttpMessageFormUrlEncodedBody - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder mapHttpMessageHeaders(boolean mapHttpMessageHeaders)
mapHttpMessageHeaders - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder mapHttpMessageHeaders(String mapHttpMessageHeaders)
mapHttpMessageHeaders - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder maxTotalConnections(int maxTotalConnections)
maxTotalConnections - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder maxTotalConnections(String maxTotalConnections)
maxTotalConnections - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder synchronous(boolean synchronous)
synchronous - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder synchronous(String synchronous)
synchronous - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder useSystemProperties(boolean useSystemProperties)
useSystemProperties - the value to setdefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder useSystemProperties(String useSystemProperties)
useSystemProperties - the value to setApache Camel